Bug 1611993

Summary: group install of 'Security Lab' produces file ownership problems between yum-utils and dnf-utils
Product: [Fedora] Fedora Reporter: George R. Goffe <grgoffe>
Component: yum-utilsAssignee: Packaging Maintenance Team <packaging-team-maint>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 29CC: dmach, mdomonko, packaging-team-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-03 11:15:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description George R. Goffe 2018-08-03 08:13:38 UTC
Description of problem:


Version-Release number of selected component (if applicable):

Adding group 'Security Lab' to this system produced error messages about files "owned" by yum-utils and dnf-utils. See below.

Also, dnf-utils does not appear in the "Component" list above.

Removal of yum-utils actually attempts to remove dnf-utils.

How reproducible:

always
Steps to Reproduce:
1.see below
2.
3.

Actual results:
see below

Expected results:
Clean successful system upgrade

Additional info:

dnf -y group install --with-optional --best 'Security Lab'
Fedora - Rawhide - Developmental packages for the next Fedora release                                                 72 kB/s |  15 kB     00:00    
Last metadata expiration check: 0:00:00 ago on Thu 02 Aug 2018 11:58:39 PM PDT.
No match for group package "mausezahn"
No match for group package "nc"
No match for group package "netdisco"
No match for group package "firstaidkit-plugin-all"
No match for group package "sshscan"
No match for group package "picviz-gui"
No match for group package "netactview"
No match for group package "nc6"
No match for group package "wireshark-gtk"
No match for group package "sectool-gui"
No match for group package "firstaidkit-gui"
Dependencies resolved.
=====================================================================================================================================================
 Package                                   Arch                      Version                                        Repository                  Size
=====================================================================================================================================================
Upgrading:
 inxi                                      noarch                    3.0.20-1.fc29                                  rawhide                    253 k
Installing group packages:
 bmon                                      x86_64                    3.7-10.fc29                                    rawhide                     53 k
 captcp                                    noarch                    1.9-8.fc29                                     rawhide                    629 k
 ciphertest                                noarch                    0.2.2-5.fc29                                   rawhide                     23 k
 dcfldd                                    x86_64                    1.3.4.1-18.fc29                                rawhide                     54 k
 dislocker                                 x86_64                    0.7.1-9.fc29                                   rawhide                     24 k
 echoping                                  x86_64                    6.1-0.8.beta.r434svn.fc29                      rawhide                     47 k
 ewftools                                  x86_64                    20140608-12.fc29                               rawhide                    929 k
 extundelete                               x86_64                    0.2.4-13.fc29                                  rawhide                     69 k
 fpdns                                     noarch                    0.10.0-20131131.1.fc29                         rawhide                     22 k
 hans                                      x86_64                    1.0-5.fc29                                     rawhide                     52 k
 httpress                                  x86_64                    1.1.0-11.fc29                                  rawhide                     21 k
 hydra                                     x86_64                    8.6-8.fc29                                     rawhide                    309 k
 ike-scan                                  x86_64                    1.9.4-24.fc29                                  rawhide                    1.2 M
 mcabber                                   x86_64                    1.1.0-2.fc29                                   rawhide                    329 k
 nfspy                                     noarch                    1.0-14.fc29                                    rawhide                     59 k
 nicstat                                   x86_64                    1.95-10.fc29                                   rawhide                     31 k
 openvas-gsa                               x86_64                    7.0.2-6.fc29                                   rawhide                    1.9 M
 pcapfix                                   x86_64                    1.1.0-8.fc28                                   rawhide                     44 k
 proxychains-ng                            x86_64                    4.12-3.fc29                                    rawhide                     41 k
 psad                                      x86_64                    2.4.6-1.fc29                                   rawhide                    1.4 M
 reaver                                    x86_64                    1.6.5-2.fc29                                   rawhide                    183 k
 scap-security-guide                       noarch                    0.1.39-3.fc29                                  rawhide                    7.2 M
 security-menus                            noarch                    1.3.0-7.fc29                                   rawhide                     44 k
 setools-gui                               x86_64                    4.1.1-11.fc29                                  rawhide                    153 k
 skipfish                                  x86_64                    2.10-0.18.b.fc29                               rawhide                    230 k
 sockperf                                  x86_64                    3.5-1.fc29                                     rawhide                    902 k
 tcpcrypt                                  x86_64                    0.4-1.fc25                                     rawhide                     66 k
 thc-ipv6                                  x86_64                    3.4-3.fc29                                     rawhide                    726 k
 tlssled                                   noarch                    1.3-11.fc29                                    rawhide                     16 k
 usbsniff                                  x86_64                    0-9.20141209git079747e.fc29                    rawhide                     40 k
 yum-utils                                 noarch                    1.1.31-515.fc29                                rawhide                    117 k
Installing dependencies:
 dislocker-libs                            x86_64                    0.7.1-9.fc29                                   rawhide                     59 k
 hans-client                               x86_64                    1.0-5.fc29                                     rawhide                    8.9 k
 hans-server                               x86_64                    1.0-5.fc29                                     rawhide                    8.9 k
 libnetfilter_queue                        x86_64                    1.0.2-12.fc29                                  rawhide                     26 k
 mbedtls                                   x86_64                    2.12.0-1.fc29                                  rawhide                    299 k
 openscap                                  x86_64                    1.3.0_alpha1-2.fc29                            rawhide                    3.3 M
 openscap-scanner                          x86_64                    1.3.0_alpha1-2.fc29                            rawhide                     58 k
 perl-IPTables-ChainMgr                    noarch                    1.6-8.fc29                                     rawhide                     26 k
 perl-IPTables-Parse                       noarch                    1.6.1-10.fc29                                  rawhide                     26 k
 perl-Unix-Syslog                          x86_64                    1.1-31.fc29                                    rawhide                     30 k
 python2-dpkt                              noarch                    1.9.1-6.fc29                                   rawhide                    261 k
 python2-fuse                              x86_64                    0.2.1-23.fc29                                  rawhide                     78 k
 tcpcrypt-libs                             x86_64                    0.4-1.fc25                                     rawhide                     17 k
 tomsfastmath                              x86_64                    0.13.1-3.fc29                                  rawhide                    283 k
Installing weak dependencies:
 pixiewps                                  x86_64                    1.4.2-3.fc29                                   rawhide                     43 k

Transaction Summary
=====================================================================================================================================================
Install  46 Packages
Upgrade   1 Package

Total size: 21 M
Downloading Packages:
[SKIPPED] bmon-3.7-10.fc29.x86_64.rpm: Already downloaded                                                                                           
[SKIPPED] captcp-1.9-8.fc29.noarch.rpm: Already downloaded                                                                                          
[SKIPPED] ciphertest-0.2.2-5.fc29.noarch.rpm: Already downloaded                                                                                    
[SKIPPED] dcfldd-1.3.4.1-18.fc29.x86_64.rpm: Already downloaded                                                                                     
[SKIPPED] dislocker-0.7.1-9.fc29.x86_64.rpm: Already downloaded                                                                                     
[SKIPPED] dislocker-libs-0.7.1-9.fc29.x86_64.rpm: Already downloaded                                                                                
[SKIPPED] echoping-6.1-0.8.beta.r434svn.fc29.x86_64.rpm: Already downloaded                                                                         
[SKIPPED] ewftools-20140608-12.fc29.x86_64.rpm: Already downloaded                                                                                  
[SKIPPED] extundelete-0.2.4-13.fc29.x86_64.rpm: Already downloaded                                                                                  
[SKIPPED] fpdns-0.10.0-20131131.1.fc29.noarch.rpm: Already downloaded                                                                               
[SKIPPED] hans-1.0-5.fc29.x86_64.rpm: Already downloaded                                                                                            
[SKIPPED] hans-client-1.0-5.fc29.x86_64.rpm: Already downloaded                                                                                     
[SKIPPED] hans-server-1.0-5.fc29.x86_64.rpm: Already downloaded                                                                                     
[SKIPPED] httpress-1.1.0-11.fc29.x86_64.rpm: Already downloaded                                                                                     
[SKIPPED] hydra-8.6-8.fc29.x86_64.rpm: Already downloaded                                                                                           
[SKIPPED] ike-scan-1.9.4-24.fc29.x86_64.rpm: Already downloaded                                                                                     
[SKIPPED] libnetfilter_queue-1.0.2-12.fc29.x86_64.rpm: Already downloaded                                                                           
[SKIPPED] mbedtls-2.12.0-1.fc29.x86_64.rpm: Already downloaded                                                                                      
[SKIPPED] mcabber-1.1.0-2.fc29.x86_64.rpm: Already downloaded                                                                                       
[SKIPPED] nfspy-1.0-14.fc29.noarch.rpm: Already downloaded                                                                                          
[SKIPPED] nicstat-1.95-10.fc29.x86_64.rpm: Already downloaded                                                                                       
[SKIPPED] openscap-1.3.0_alpha1-2.fc29.x86_64.rpm: Already downloaded                                                                               
[SKIPPED] openscap-scanner-1.3.0_alpha1-2.fc29.x86_64.rpm: Already downloaded                                                                       
[SKIPPED] openvas-gsa-7.0.2-6.fc29.x86_64.rpm: Already downloaded                                                                                   
[SKIPPED] pcapfix-1.1.0-8.fc28.x86_64.rpm: Already downloaded                                                                                       
[SKIPPED] perl-IPTables-ChainMgr-1.6-8.fc29.noarch.rpm: Already downloaded                                                                          
[SKIPPED] perl-IPTables-Parse-1.6.1-10.fc29.noarch.rpm: Already downloaded                                                                          
[SKIPPED] perl-Unix-Syslog-1.1-31.fc29.x86_64.rpm: Already downloaded                                                                               
[SKIPPED] pixiewps-1.4.2-3.fc29.x86_64.rpm: Already downloaded                                                                                      
[SKIPPED] proxychains-ng-4.12-3.fc29.x86_64.rpm: Already downloaded                                                                                 
[SKIPPED] psad-2.4.6-1.fc29.x86_64.rpm: Already downloaded                                                                                          
[SKIPPED] python2-dpkt-1.9.1-6.fc29.noarch.rpm: Already downloaded                                                                                  
[SKIPPED] python2-fuse-0.2.1-23.fc29.x86_64.rpm: Already downloaded                                                                                 
[SKIPPED] reaver-1.6.5-2.fc29.x86_64.rpm: Already downloaded                                                                                        
[SKIPPED] scap-security-guide-0.1.39-3.fc29.noarch.rpm: Already downloaded                                                                          
[SKIPPED] security-menus-1.3.0-7.fc29.noarch.rpm: Already downloaded                                                                                
[SKIPPED] setools-gui-4.1.1-11.fc29.x86_64.rpm: Already downloaded                                                                                  
[SKIPPED] skipfish-2.10-0.18.b.fc29.x86_64.rpm: Already downloaded                                                                                  
[SKIPPED] sockperf-3.5-1.fc29.x86_64.rpm: Already downloaded                                                                                        
[SKIPPED] tcpcrypt-0.4-1.fc25.x86_64.rpm: Already downloaded                                                                                        
[SKIPPED] tcpcrypt-libs-0.4-1.fc25.x86_64.rpm: Already downloaded                                                                                   
[SKIPPED] thc-ipv6-3.4-3.fc29.x86_64.rpm: Already downloaded                                                                                        
[SKIPPED] tlssled-1.3-11.fc29.noarch.rpm: Already downloaded                                                                                        
[SKIPPED] tomsfastmath-0.13.1-3.fc29.x86_64.rpm: Already downloaded                                                                                 
[SKIPPED] usbsniff-0-9.20141209git079747e.fc29.x86_64.rpm: Already downloaded                                                                       
[SKIPPED] yum-utils-1.1.31-515.fc29.noarch.rpm: Already downloaded                                                                                  
[SKIPPED] inxi-3.0.20-1.fc29.noarch.rpm: Already downloaded                                                                                         
/usr/lib/python3.7/site-packages/dnf/cli/cli.py:231: DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working
  if not isinstance(display, collections.Sequence):

Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/bin/debuginfo-install from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/find-repos-of-install from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/package-cleanup from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/repo-graph from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/repoclosure from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/repomanage from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/repoquery from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/reposync from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/repotrack from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/yum-builddep from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/yum-config-manager from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/yum-debug-dump from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/yum-debug-restore from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch
  file /usr/bin/yumdownloader from install of yum-utils-1.1.31-515.fc29.noarch conflicts with file from package dnf-utils-3.0.2-1.fc29.noarch

Error Summary
-------------


 exit 0
+ exit 0
Script done, file is dnfrd.log
fc27-bash 4.4 ~# xe !$
xe dnfrd.log
fc27-bash 4.4 ~# dnf erase yum-utils
Dependencies resolved.
=====================================================================================================================================================
 Package                            Arch                            Version                                  Repository                         Size
=====================================================================================================================================================
Removing:
 dnf-utils                          noarch                          3.0.2-1.fc29                             @rawhide                          3.8 k

Transaction Summary
=====================================================================================================================================================
Remove  1 Package

Freed space: 3.8 k
Is this ok [y/N]: n
Operation aborted.

Comment 1 Jan Kurik 2018-08-14 10:26:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Michal Domonkos 2019-09-03 11:15:18 UTC

*** This bug has been marked as a duplicate of bug 1680221 ***